
package com.ejie.ab79.clientesWS.ab63WebService;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "ab63WebService", targetNamespace = "http://com.ejie.ab63.serviciosWeb", wsdlLocation = "META-INF/wsdls/ab63WebService.wsdl")
public class Ab63WebService
    extends Service
{

    private final static URL AB63WEBSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab79.clientesWS.ab63WebService.Ab63WebService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab79.clientesWS.ab63WebService.Ab63WebService.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/ab63WebService.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/ab63WebService.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        AB63WEBSERVICE_WSDL_LOCATION = url;
    }

    public Ab63WebService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public Ab63WebService() {
        super(AB63WEBSERVICE_WSDL_LOCATION, new QName("http://com.ejie.ab63.serviciosWeb", "ab63WebService"));
    }

    /**
     * 
     * @return
     *     returns WebServiceImpl
     */
    @WebEndpoint(name = "ab63WebServicePort")
    public WebServiceImpl getAb63WebServicePort() {
        return super.getPort(new QName("http://com.ejie.ab63.serviciosWeb", "ab63WebServicePort"), WebServiceImpl.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns WebServiceImpl
     */
    @WebEndpoint(name = "ab63WebServicePort")
    public WebServiceImpl getAb63WebServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("http://com.ejie.ab63.serviciosWeb", "ab63WebServicePort"), WebServiceImpl.class, features);
    }

}
